import React from 'react';
import { Button, Title } from '@express-labs/raven-ui';
import s from './Error500.module.scss';

const Error500 = () => {
  const reloadPage = () => {
    window.location.reload(true);
  };

  return (
    <div className={s.div}>
      <Title tag="h1" className={s.maintext}>
        INTERNAL SERVER ERROR
      </Title>
      <img
        src="http://www.express.com/cdn/responsive/images/pdp-500-error-image.png"
        className="responsive"
        alt="Clothing care tag with iron highlighted"
      />
      <Title tag="h2" className={s.regulartext}>
        We&apos;re working on ironing out this wrinkle.
      </Title>
      <Button href="/clothing/women/sec/womenCategory" className={s.button}>
        SHOP WOMEN&apos;S
      </Button>
      <Button href="/clothing/men/sec/menCategory" className={s.button}>
        SHOP MEN&apos;S
      </Button>
      <Button onClick={reloadPage} className={s.button}>
        TRY AGAIN
      </Button>
    </div>
  );
};

export default Error500;
