import React from 'react';
import PropTypes from 'prop-types';
import { compose } from 'apollo-graphql';
import { debugPropStream } from '../../hocs';
import ComponentName from './ComponentName';

export default class ComponentNameVM extends React.Component {
  static propTypes = {
    // proptypes needed by this component, if any.
  }

  static defaultProps = {
    // default props if needed
  }

  constructor(props) {
    super(props);
    this.Component = this.createViewModel();
    this.Component.displayName = 'ComponentNameVM';
  }

  // it perfectly ok to change this method to a static method if you're not using "this"
  // but chances are good you're going to use "this".  Please remove this comment before
  // submitting a PR.
  createViewModel() {
    return compose(
      // hocs go here. For example...
      // mapProps, withUser, withAnalytics, withInventory, graphql, connect, debugPropStream
      // please comment out debugPropStream if you're not using it.
      debugPropStream('ComponentName'),
    )(ComponentName);
  }

  render() {
    return <this.Component {...this.props} />;
  }
}
